"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const metadata_storage_1 = require("../metadata/metadata.storage");
require("reflect-metadata");
function Property(options = {
    searchable: false,
    indexed: false,
}) {
    return (object, propertyName) => {
        const reflectType = Reflect.getMetadata('design:type', object, propertyName);
        let type = 'string';
        if (reflectType !== undefined) {
            type = reflectType.name;
        }
        if (metadata_storage_1.MetadataStorage.getGlobal().properties[object.constructor.name] === undefined) {
            metadata_storage_1.MetadataStorage.getGlobal().properties[object.constructor.name] = {};
        }
        metadata_storage_1.MetadataStorage.getGlobal().properties[object.constructor.name][propertyName] = {
            name: propertyName,
            searchable: options.searchable,
            indexed: options.indexed,
            type,
        };
    };
}
exports.Property = Property;
