"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const winston = require("winston");
const logger_config_1 = require("./logger.config");
const logger = winston.createLogger({
    levels: logger_config_1.loggerConfig.levels,
    format: winston.format.combine(winston.format.colorize(), winston.format.label({ label: '[REDISK]' }), winston.format.timestamp({
        format: 'YYYY-MM-DD HH:mm:ss'
    }), winston.format.printf(info => `${info.timestamp} ${info.level}: ${info.message}`)),
    transports: [
        new winston.transports.Console({ level: process.env.LOG_LEVEL })
    ],
    level: !process.env.REDISK_LOG_LEVEL ? 'warn' : process.env.REDISK_LOG_LEVEL
});
exports.default = logger;
