"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const metadata_storage_1 = require("./metadata.storage");
class Metadata {
    getEntityMetadataFromInstance(entity) {
        return this.getEntityMetadata(entity.constructor.name);
    }
    getEntityMetadataFromType(entityType) {
        return this.getEntityMetadata(entityType.name);
    }
    getEntityMetadataFromName(entityName) {
        return this.getEntityMetadata(entityName);
    }
    getEntityMetadata(entityName) {
        const { names, primary, properties, canBeListed, uniques, hasOneRelations } = metadata_storage_1.MetadataStorage.getGlobal();
        if (names[entityName] === undefined) {
            throw new Error(entityName + ' is not an entity!');
        }
        if (primary[entityName] === undefined) {
            throw new Error(entityName + ' doesn\'t have a primary key defined!');
        }
        return {
            name: names[entityName],
            primary: primary[entityName],
            uniques: uniques[entityName],
            properties: properties[entityName],
            canBeListed: canBeListed[entityName],
            hasOneRelations: hasOneRelations[entityName],
        };
    }
}
exports.Metadata = Metadata;
